import { CancellationToken, CancellationTokenSource } from 'vscode-jsonrpc';
export { CancellationToken, CancellationTokenSource };
/**
 * Thrown when an operation was cancelled
 */
export declare class CancelledError extends Error {
    constructor(message?: string);
}
/**
 * Returns true if the passed error was caused by a cancellation
 */
export declare function isCancelledError(error: any): boolean;
/**
 * Throws a CancelledError if cancellation was requested for the passed CancellationToken
 */
export declare function throwIfRequested(token: CancellationToken): void;
