/// <reference types="node" />
import { IConnection } from 'vscode-languageserver';
import { LanguageHandler } from './lang-handler';
/**
 * Tracing options control dumping request/responses to stderr and optional file
 */
export interface TraceOptions {
    trace?: boolean;
    logfile?: string;
}
export declare function newConnection(input: NodeJS.ReadableStream, output: NodeJS.WritableStream, trace: TraceOptions): IConnection;
/**
 * Registers all method implementations of a LanguageHandler on a connection
 */
export declare function registerLanguageHandler(connection: IConnection, handler: LanguageHandler): void;
