"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_jsonrpc_1 = require("vscode-jsonrpc");
class RemoteLanguageClient {
    constructor(connection) {
        this.connection = connection;
    }
    getTextDocumentContent(params, token = vscode_jsonrpc_1.CancellationToken.None) {
        return Promise.resolve(this.connection.sendRequest('textDocument/xcontent', params, token));
    }
    getWorkspaceFiles(params, token = vscode_jsonrpc_1.CancellationToken.None) {
        return Promise.resolve(this.connection.sendRequest('workspace/xfiles', params, token));
    }
}
exports.RemoteLanguageClient = RemoteLanguageClient;
//# sourceMappingURL=lang-handler.js.map